%% search_return
        %    determine where a results cell exists for a pair of condition
        %    cells and returns the cell itself.
        % inputs:
        %   object:RGrid - reference to current RGrid
        %   cell1:Cell - reference to condition cell in top grid.
        %   cell2:Cell - reference to condition cell in left grid.
        % outputs;
        %   cell:RCell - if found returns reference to cell, if not returns
        %   empty
        function cell = search_return(object,cell1,cell2)
            cell = [];
             for i=1:size(object.Cells,2)
                if (object.Cells(i).Cell1 == cell1 && object.Cells(i).Cell2 == cell2);
                    cell = object.Cells(i);
                end 
             end
        end
            
