        %% elipse_call
        %    callback for when the elipses button is pressed, show file
        %    picker, update the textbox of selected files.
        % inputs:
        %   object:Settings - current object
        %   src - source of the callback calling
        %   event - event that triggered the callback
        % outputs:
        %   none
        function [] = elipse_call(object,src,event)
            files = uigetfile('*.pvs','Select pvs files','MultiSelect','on');
            string = [];
            if iscell(files)
                for i = 1:size(files,2)
                    string = strcat(string,files(i));
                    %string = [string, files(i)];
                    if i ~= size(files,2)
                        string = strcat(string,', ');
                        %string = [string, ',']
                    end
                end
                
            else
                string = files;
            end
            set(object.include_text,'String',char(string));
        end
        
